/
githubmirror
/
cmssw
Обзор
Документация
Войти
/
githubmirror
/
cmssw
Код
Запросы
0
Пакеты
0
Релизы
0
Аналитика
Безопасность
master
FWCore/Integration/test/CatchCmsExceptiontest.sh
12 строк
508 B
Chris Jones
Dictionary tests moved to IOPool/Tests
16 сен 2025, 17:47
16 сен 2025, 17:47
b7f1719
Код
Авторство
О чём код?
#!/bin/sh set -x LOCAL_TEST_DIR=${SCRAM_TEST_PATH} # Pass in name and status function die { echo $1: status $2 ; exit $2; } cmsRun ${LOCAL_TEST_DIR}/CatchCmsExceptiontest_cfg.py &> CatchCmsException.log && die 'Failed in using CatchCmsException_cfg.py' 1 grep -q WhatsItESProducer CatchCmsException.log || die 'Failed to find Producers name' $? #echo running cmsRun testSkipEvent_cfg.py #cmsRun ${LOCAL_TEST_DIR}/testSkipEvent_cfg.py &> testSkipEvent.log || die 'Failed in using testSkipEvent_cfg.py' $?